#!/bin/sh
#
# Simple script for adding all missing files with svn:needs-lock
# property
#
# Author: Johannes Feuser <jfeuser@ginformatik.uni-bremen.de>
# Date:   2010-05-28


# find all missing files
MISSING_FILES="$(svn status | egrep "^\?" | awk '{print $(NF)}')"


# check, if any missing file exists
if [ -z $MISSING_FILES ]
then
	# nothing to do, exit normally
	exit 0
fi

# add files to working copy or die
svn add $MISSING_FILES || exit 1

# set needs-lock property
echo $MISSING_FILES | xargs -n1 svn ps svn:needs-lock "*" || exit 2


# finally exit normally
exit 0
