#!/bin/sh
#
# Simple script for unlocking all files in the current working 
# directory recursively
#
# Author: Johannes Feuser <jfeuser@ginformatik.uni-bremen.de>
# Date:   2010-05.18

LOCKED_FILES=$(svn status | egrep "( *) K " | awk '{print $(NF)}')


# check, if any files are locked
if [ -z "$LOCKED_FILES" ]
then
	# nothing to do, exit normally
	exit 0
fi



# unlock all locked files
for i in $LOCKED_FILES
do
	# unlock current file
	svn unlock $i
done
